> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Funds

> Lookup Funds given a set of filters.

<Note>
  **x402 Support:** Supported.
  See the [x402 guide](/api-reference/x402-payments#supported-endpoints).
</Note>


## OpenAPI

````yaml GET /funding/v1/funds
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - Funding V1
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /funding/v1/funds:
    get:
      tags:
        - funding/Fund
      summary: GetFunds
      description: Lookup Funds given a set of filters.
      operationId: getFunds
      parameters:
        - in: query
          name: limit
          schema:
            format: int64
            type: integer
            default: 10
        - in: query
          name: page
          schema:
            format: int64
            type: integer
            default: 0
        - description: >-
            Comma-separated list of fund manager (orgs, persons, projects)
            uuids.
          in: query
          name: managerId
          schema:
            items:
              type: string
            type: array
        - description: >-
            Filter by minimum amount raised in USD. Will return funds which have
            raised more than the specified amount.
          in: query
          name: raisedAmountMin
          schema:
            format: double
            type: number
            example: 1000000
            default: 1000000
        - description: >-
            Filter by maximum amount raised in USD. Will return funds which have
            raised less than the specified amount.
          in: query
          name: raisedAmountMax
          schema:
            format: double
            type: number
            example: 100000000
            default: 100000000
        - description: Filter by funds announced before the specified date.
          in: query
          name: announcedBefore
          schema:
            format: date-time
            type: string
            example: '2025-12-31T23:59:59Z'
            default: '2025-12-31T23:59:59Z'
        - description: Filter by funds announced after the specified date.
          in: query
          name: announcedAfter
          schema:
            format: date-time
            type: string
            example: '2025-01-01T00:00:00Z'
            default: '2025-01-01T00:00:00Z'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/Fund'
                    type: array
                  error:
                    type: string
                  metadata:
                    $ref: '#/components/schemas/Pagination'
                required:
                  - data
                type: object
              example:
                error: null
                data:
                  - id: 09800226-54be-4486-b3bd-39954c768eef
                    name: Maximum Frequency Ventures
                    announcements: []
                    announcementDate: '2025-10-14T10:33:17.906Z'
                    amountRaisedUSD: 50000000
                  - id: cdf0b533-90a7-4689-bdfa-955a83461d5c
                    name: Builder Fund
                    announcements:
                      - url: >-
                          https://www.coindesk.com/business/2025/10/08/yzi-labs-introduces-usd1b-fund-for-bnb-chain-projects
                    announcementDate: '2025-10-08T13:15:23.023Z'
                    amountRaisedUSD: 1000000000
                  - id: 12f4b80b-9df4-41ca-a990-8b0db4a6dee9
                    name: Web3 Fund
                    announcements:
                      - url: >-
                          https://www.theblock.co/post/373128/lisk-launches-15-million-fund-web3-projects-africa-latin-america-southeast-asia
                    announcementDate: '2025-10-02T15:42:10.02Z'
                    amountRaisedUSD: 15000000
                  - id: 49cda9e0-b9cc-4d07-be9d-e3f42a99d3e4
                    name: Stablecoin Infrastructure Fund
                    announcements:
                      - url: >-
                          https://www.foresightventures.com/details?details_id=32&details_type=news
                    announcementDate: '2025-10-01T16:15:37.604Z'
                    amountRaisedUSD: 50000000
                  - id: 0925d77d-dc4d-48a9-b4b1-cd7c241f1e56
                    name: Fund III
                    announcements:
                      - url: https://x.com/archetypevc/status/1970473968122405129
                      - url: >-
                          https://fortune.com/crypto/2025/09/23/new-york-focused-crypto-venture-firm-archetype-raises-100-million-for-third-fund/
                    announcementDate: '2025-09-23T13:43:38.287Z'
                    amountRaisedUSD: 100000000
                metadata:
                  limit: 10
                  page: 1
                  totalRows: 1108
                  totalPages: 111
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Forbidden
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    Fund:
      properties:
        amountRaisedUSD:
          format: double
          type: number
        announcementDate:
          format: date-time
          type: string
        announcements:
          items:
            $ref: '#/components/schemas/Announcement'
          type: array
        id:
          type: string
        name:
          type: string
      required:
        - announcementDate
        - announcements
        - id
        - name
      type: object
    Pagination:
      properties:
        limit:
          format: int64
          type: integer
        page:
          format: int64
          type: integer
        totalPages:
          format: int64
          type: integer
        totalRows:
          format: int64
          type: integer
      required:
        - limit
        - page
        - totalPages
        - totalRows
      type: object
    Announcement:
      type: object
      description: Schema for Announcement
      properties: {}
      additionalProperties: true
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.